; Olivetti Video Controller (OVC) Configuration File, revision 1.00

BOARD
  ID = "OLIF1A1"
  NAME = "Olivetti Video Controller (OVC)"
  MFR = "OLIVETTI"
  CATEGORY = "VID"
  SLOT = ISA8

FUNCTION = "OVC Configuration options"
  TYPE = "VID"
  CHOICE = "Graphic Mode: Color or Mono"
    link
      PORT = 03B0h-03BBh
      PORT = 03C0h-03CFh
      PORT = 03D0h-03DFh
      PORT = 46E8h
    link
      MEMORY = 64K
      ADDRESS = 0A0000h
      MEMTYPE = OTH
    link
      MEMORY = 32K
      ADDRESS = 0B0000h
      MEMTYPE = OTH
    link
      MEMORY = 32K
      ADDRESS = 0B8000h
      MEMTYPE = OTH
    link
      MEMORY = 24K
      ADDRESS = 0C0000h
      MEMTYPE = OTH
      WRITABLE = NO
      CACHE = NO
    link
      MEMORY = 6K
      ADDRESS = 0C6800h
      MEMTYPE = OTH
      WRITABLE = NO
      CACHE = NO

  CHOICE = "Graphic Mode: Color"
    link
      PORT = 03C0h-03CFh
      PORT = 03D0h-03DFh
      PORT = 46E8h
    link
      MEMORY = 64K
      ADDRESS = 0A0000h
      MEMTYPE = OTH
    link
      MEMORY = 32K
      ADDRESS = 0B8000h
      MEMTYPE=OTH
    link
      MEMORY = 24K
      ADDRESS = 0C0000h
      MEMTYPE = OTH
      WRITABLE = NO
      CACHE = NO
    link
      MEMORY = 6K
      ADDRESS = 0C6800h
      MEMTYPE = OTH
      WRITABLE = NO
      CACHE = NO

  CHOICE = "Graphic Mode: Mono"
    link
      PORT = 03C0h-03CFh
      PORT = 03B0h-03BBh
      PORT = 46E8h
    link
      MEMORY = 64K
      ADDRESS = 0A0000h
      MEMTYPE = OTH
    link
      MEMORY = 32K
      ADDRESS = 0B0000h
      MEMTYPE = OTH
    link
      MEMORY = 24K
      ADDRESS = 0C0000h
      MEMTYPE = OTH
      WRITABLE = NO
      CACHE = NO
    link
      MEMORY = 6K
      ADDRESS = 0C6800h
      MEMTYPE = OTH
      WRITABLE = NO
      CACHE = NO

  CHOICE = "Text Mode: Color or Mono"
    link
      PORT = 03B0h-03BBh
      PORT = 03C0h-03CFh
      PORT = 03D0h-03DFh
      PORT = 46E8h
    link
      MEMORY = 32K
      ADDRESS = 0B0000h
      MEMTYPE = OTH
    link
      MEMORY = 32K
      ADDRESS = 0B8000h
      MEMTYPE = OTH
    link
      MEMORY = 24K
      ADDRESS = 0C0000h
      MEMTYPE = OTH
      WRITABLE = NO
      CACHE = NO
    link
      MEMORY = 6K
      ADDRESS = 0C6800h
      MEMTYPE = OTH
      WRITABLE = NO
      CACHE = NO

  CHOICE = "Text Mode: Color"
    link
      PORT = 03C0h-03CFh
      PORT = 03D0h-03DFh
      PORT = 46E8h
    link
      MEMORY = 32K
      ADDRESS = 0B8000h
      MEMTYPE = OTH
    link
      MEMORY = 32K
      ADDRESS = 0C0000h
      MEMTYPE = OTH
      WRITABLE = NO
      CACHE = NO

  CHOICE = "Text Mode: Mono"
    link
      PORT = 03C0h-03CFh
      PORT = 03B0h-03BBh
      PORT = 46E8h
    link
      MEMORY = 32K
      ADDRESS = 0B0000h
      MEMTYPE = OTH
    link
      MEMORY = 24K
      ADDRESS = 0C0000h
      MEMTYPE = OTH
      WRITABLE = NO
      CACHE = NO
    link
      MEMORY = 6K
      ADDRESS = 0C6800h
      MEMTYPE = OTH
      WRITABLE = NO
      CACHE = NO
